<div class="col-lg-12 animated fadeInRight">

  <div class="wrapper wrapper-content animated fadeInRight">
      <div class="row">
          <div class="col-lg-12">
              <div class="ibox float-e-margins">
                  <div class="ibox-title">
                      <h3>
                          <strong>Package Users</strong>
                      </h3>
                      <div class="fm-row">
                          <div class="row">
                              <div class="fm-row">
                                  <div class="col-xs-2 custom-position">
                                    <input [(ngModel)]="customerFormModel" [formControl]="customerForm" type="text" placeholder="Customer Phone"
                                      [matAutocomplete]="customers" class="form-control custom-class-border"
                                      (ngModelChange)="searchCustomer($event)">
                                    <img *ngIf="loadingIndicator == 'searchCustomer'" class="loading_indicator"
                                      src="assets/img/loading.gif" alt="my DTC loader"/>
                                    <mat-autocomplete #customers="matAutocomplete" [displayWith]="displayFnCxPhn">
                                      <mat-option *ngFor="let customer of customerData" [value]="customer">
                                        <div class="option-otr">
                                          <div class="option_span">{{ customer.phone_number }}</div>
                                        </div>
                                      </mat-option>
                                      <mat-option *ngIf="customerData == '' && customerData.length == 0">No Matches Found</mat-option>
                                    </mat-autocomplete>
                                  </div>
                              </div>
                              <div class="fm-row">
                                <div class="col-xs-2 custom-position">
                                    <input [(ngModel)]="packageFormModel" [formControl]="packageForm" type="text" placeholder="Search Package"
                                      [matAutocomplete]="packages" class="form-control custom-class-border"
                                      (ngModelChange)="searchPackage($event)">
                                    <img *ngIf="loadingIndicator == 'searchPackage'" class="loading_indicator"
                                      src="assets/img/loading.gif" alt="loader my DTC"/>
                                    <mat-autocomplete #packages="matAutocomplete" [displayWith]="displayFnPkName">
                                      <mat-option *ngFor="let package of packageListData" [value]="package">
                                        <div class="option-otr">
                                          <div class="option_span">{{ package.package_name }}</div>
                                        </div>
                                      </mat-option>
                                      <mat-option *ngIf="packageListData == '' && packageListData.length == 0">No Matches Found</mat-option>
                                    </mat-autocomplete>
                                  </div>
                              </div>
                              <div class="fm-row">
                                <div class="col-xs-2 custom-position">
                                    <mat-select [(ngModel)]="status" placeholder="Status" class="form-control" multiple>
                                      <mat-option [value]="0">Active</mat-option>
                                      <mat-option [value]="1">Expired</mat-option>
                                      <mat-option [value]="2">Cancelled</mat-option>
                                    </mat-select>
                                  </div>
                              </div>
                              <div class="fm-row">
                                  <div class="col-xs-3 custom-position">
                                      <input [(ngModel)]="start" name="startDate"
                                          [owlDateTimeTrigger]="dtPicker1" [owlDateTime]="dtPicker1"
                                          placeholder="Start Date" class="form-control"
                                          (ngModelChange)="dateCalc()">
                                      <i aria-hidden="true" class="fa fa-calendar" style="font-size: 20px;float: right;"
                                          [owlDateTimeTrigger]="dtPicker1"></i>
                                      <owl-date-time [pickerMode]="'dialog'" #dtPicker1></owl-date-time>
                                  </div>
                                  <div class="col-xs-3 custom-position">
                                      <input [(ngModel)]="end" name="endDate" [min]="start"
                                          [owlDateTimeTrigger]="dtPicker2" [owlDateTime]="dtPicker2"
                                          placeholder="End Date" class="form-control"
                                          (ngModelChange)="dateCalc()">
                                      <i aria-hidden="true" class="fa fa-calendar" style="font-size: 20px;float: right;"
                                          [owlDateTimeTrigger]="dtPicker2"></i>
                                      <owl-date-time [pickerMode]="'dialog'" #dtPicker2></owl-date-time>
                                  </div>
                              </div>
                              <div class="col-sm-12 text-right" style="padding-top:10px">
                                  <span matTooltip="CSV" style="cursor:pointer">
                                      <img src="assets/img/csv.png" alt="csv" (click)="getconstantsforcsv()" />
                                  </span>
                                  <button type="get" (click)="getPackageUsers()" style="padding-left: 15px;"
                                      class="btn btn-sm btn-primary blue">
                                      <i aria-hidden="true" class="fa fa-search"></i>
                                      Search
                                  </button>
                                  <button class="btn btn-sm btn-primary red" style="padding-left: 15px;"
                                      (click)="reset()">
                                      <i aria-hidden="true" class="fa fa-eraser"></i>
                                      Reset filters
                                  </button>
                              </div>
                          </div>
                      </div>
                  </div>
                  <div class="ibox-content">
                      <div *ngIf="packageUsersCount">Total Package Users: {{packageUsersCount ? packageUsersCount : 0}}</div>
                      <div class="table-responsive">
                          <table aria-describedby="Package Users" class="table table-striped table-bordered table-responsive">
                              <thead>
                                  <tr>
                                      <th scope="col">Package Id</th>
                                      <th scope="col">Package Name</th>
                                      <th scope="col">Customer Name</th>
                                      <th scope="col">Customer Phone</th>
                                      <th scope="col">Promo Code</th>
                                      <th scope="col">Package Status</th>
                                      <th scope="col">Auto Renewable</th>
                                      <th scope="col">Purchased Date</th>
                                      <th scope="col">Updated Date</th>
                                  </tr>
                              </thead>
                              <tbody *ngIf="packageUsersCount>0">
                                  <span *ngIf="loader">
                                      <img alt="loader" src="assets/img/loader.gif" class="loader-img" />
                                  </span>
                                  <tr *ngFor="let customer of packageUsersData; let i = index" [attr.data-index]="i">
                                      <ng-container>
                                              <td>{{customer?.unique_package_id}}</td>
                                              <td>{{customer?.package_id.package_name}}</td>
                                              <td (click)="goToLink(customer?.customer_id._id)">{{customer?.customer_id.firstname}} {{customer?.customer_id.lastname}}</td>
                                              <td (click)="goToLink(customer?.customer_id._id)">{{customer?.customer_id.country_code}}{{customer?.customer_id.phone_number }}</td>
                                              <td>{{customer?.created_promo_id.promo_name}}</td>
                                              <td [ngStyle]="{'color':getColor(customer.status)}">{{customer.status == '0' ? 'Active': customer.status == '1' ? 'Expired' : 'Cancelled' }}</td>
                                              <td>{{customer.is_auto_renewable == true ? 'Yes' : 'No'}}</td>
                                              <td>{{customer?.purchased_on | date: 'dd/MM/yyyy HH:mm':'GMT'}}</td>
                                              <td>{{customer?.updated_at | date: 'dd/MM/yyyy HH:mm':'GMT'}}</td>
                                      </ng-container>
                                  </tr>
                              </tbody>
                          </table>
                          <div class="container-fluid" *ngIf="packageUsersCount==0">
                              <div class="row">
                                  <div class="dataTables_info1">
                                      <div class="col-md-4 form-group" style="text-align:center;margin-left:32%">
                                          No records found
                                      </div>
                                  </div>
                              </div>
                          </div>
                      </div>
                  </div>
                  <br>
                  <div class="container-fluid" *ngIf="packageUsersCount>0">
                      <div class="row col-md-12 text-center">
                          <div class="dataTables_info1">
                              <div>
                                  <ngb-pagination [collectionSize]="packageUsersCount" (pageChange)="pagingAgent($event)"
                                      [page]="currentPage" [pageSize]="pageSize" aria-label="Default pagination" [maxSize]="5"
                                      [boundaryLinks]="true"></ngb-pagination>
                              </div>
                          </div>
                      </div>
                  </div>
              </div>
          </div>
      </div>
  </div>
</div>